cURL
curl --request POST \ --url https://api.payvessel.com/kyc/api/v1/merchant/bvn/enhanced \ --header 'Content-Type: <content-type>' \ --header 'api-key: <api-key>' \ --header 'api-secret: <api-secret>' \ --data ' { "bvn": "22123456789" } '
200
successfulVerification
{ "success": true, "message": "BVN verification completed successfully", "data": { "bvn": "22123456789", "first_name": "John", "middle_name": "Adebayo", "last_name": "Doe", "gender": "MALE", "name_on_card": "JOHN A DOE", "birthday": "1992-08-14", "photo": "/9j/4AAQSkZJRgABAQAAAQABAAD...", "phone_number": "08012345678", "phone_number_2": "08087654321" }, "charges": { "charged": false, "charged_amount": "0.00" } }
Verify a BVN and retrieve an enriched customer identity profile.
Your PayVessel API key
Your PayVessel API secret
Request content type
application/json
Customer BVN
"22123456789"
Enhanced BVN verification response
Whether the request completed successfully
true
Response message
"BVN verification completed successfully"
Show child attributes